Index: trunk/grails-app/views/assignedGroupDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/assignedPersonDetailed/edit.gsp	(revision 147)
+++ trunk/grails-app/views/assignedGroupDetailed/edit.gsp	(revision 240)
@@ -5,9 +5,9 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit AssignedPerson</title>
+        <title>Edit AssignedGroup</title>
     </head>
     <body>
         <div class="nav">
-            <h1>Edit Assigned Person</h1>
+            <h1>Edit Assigned Group</h1>
         </div>
         <div class="body">
@@ -15,12 +15,12 @@
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${assignedPersonInstance}">
+            <g:hasErrors bean="${assignedGroupInstance}">
             <div class="errors">
-                <g:renderErrors bean="${assignedPersonInstance}" as="list" />
+                <g:renderErrors bean="${assignedGroupInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${assignedPersonInstance?.id}" />
-                <input type="hidden" name="version" value="${assignedPersonInstance?.version}" />
+                <input type="hidden" name="id" value="${assignedGroupInstance?.id}" />
+                <input type="hidden" name="version" value="${assignedGroupInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -31,15 +31,17 @@
                                     <label for="task">Task:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assignedPersonInstance,field:'task','errors')}">
-                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${assignedPersonInstance?.task?.id}" ></g:select>
+                                <td valign="top" class="name">
+                                    <g:link controller="taskDetailed" action="show" id="${assignedGroupInstance.task.id}" >
+                                        ${assignedGroupInstance?.task.encodeAsHTML()}
+                                    </g:link>
                                 </td>
-                            </tr> 
+                            </tr>
                         
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="person">Person:</label>
+                                    <label for="personGroup">Group:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:assignedPersonInstance,field:'person','errors')}">
-                                    <g:select optionKey="id" from="${Person.list()}" name="person.id" value="${assignedPersonInstance?.person?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:assignedGroupInstance,field:'personGroup','errors')}">
+                                    <g:select optionKey="id" from="${PersonGroup.list()}" name="personGroup.id" value="${assignedGroupInstance?.personGroup?.id}" ></g:select>
                                 </td>
                             </tr>
@@ -50,12 +52,12 @@
                                 </td>
                                 <td valign="top" class="value">
-                                    <input class="time ${hasErrors(bean:assignedPersonInstance,field:'estimatedHour','errors')}" 
+                                    <input class="time ${hasErrors(bean:assignedGroupInstance,field:'estimatedHour','errors')}"
                                         type="text" id="estimatedHour" name="estimatedHour" 
-                                        value="${fieldValue(bean:assignedPersonInstance,field:'estimatedHour')}" />
+                                        value="${fieldValue(bean:assignedGroupInstance,field:'estimatedHour')}" />
                                     :
-                                    <input class="time ${hasErrors(bean:assignedPersonInstance,field:'estimatedMinute','errors')}" 
+                                    <input class="time ${hasErrors(bean:assignedGroupInstance,field:'estimatedMinute','errors')}"
                                         type="text" id="estimatedMinute" name="estimatedMinute" 
-                                        value="${fieldValue(bean:assignedPersonInstance,field:'estimatedMinute')}" />
-                                    <g:helpBalloon code="assignedPerson.estimatedDuration" />
+                                        value="${fieldValue(bean:assignedGroupInstance,field:'estimatedMinute')}" />
+                                    <g:helpBalloon code="assignedGroup.estimatedDuration" />
                                 </td> 
                             </tr>