Index: trunk/grails-app/views/maintenanceActionDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/maintenanceActionDetailed/create.gsp	(revision 178)
+++ trunk/grails-app/views/maintenanceActionDetailed/create.gsp	(revision 269)
@@ -5,5 +5,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create MaintenanceAction</title>         
+        <title>Create MaintenanceAction</title>
     </head>
     <body>
@@ -28,17 +28,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="maintenancePolicy">Maintenance Policy:</label>
+                                    <label for="section">Section:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'maintenancePolicy','errors')}">
-                                    <g:select optionKey="id" from="${MaintenancePolicy.list()}" name="maintenancePolicy.id" value="${maintenanceActionInstance?.maintenancePolicy?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="systemSection">System Section:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'systemSection','errors')}">
-                                    <g:select optionKey="id" from="${SystemSection.list()}" name="systemSection.id" value="${maintenanceActionInstance?.systemSection?.id}" noSelection="['null':'']"></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'section','errors')}">
+                                    <g:select optionKey="id" from="${Section.list()}" name="section.id" value="${maintenanceActionInstance?.section?.id}" noSelection="['null':'']"></g:select>
                                 </td>
                             </tr> 
@@ -55,8 +46,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assetType">Asset Type:</label>
+                                    <label for="assetSubItem">Asset Sub Item:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'assetType','errors')}">
-                                    <g:select optionKey="id" from="${AssetType.list()}" name="assetType.id" value="${maintenanceActionInstance?.assetType?.id}" noSelection="['null':'']"></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'assetSubItem','errors')}">
+                                    <g:select optionKey="id" from="${AssetSubItem.list()}" name="assetSubItem.id" value="${maintenanceActionInstance?.assetSubItem?.id}" noSelection="['null':'']"></g:select>
                                 </td>
                             </tr> 
@@ -64,26 +55,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="assembly">Assembly:</label>
+                                    <label for="maintenancePolicy">Maintenance Policy:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'assembly','errors')}">
-                                    <g:select optionKey="id" from="${Assembly.list()}" name="assembly.id" value="${maintenanceActionInstance?.assembly?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="subAssembly">Sub Assembly:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'subAssembly','errors')}">
-                                    <g:select optionKey="id" from="${SubAssembly.list()}" name="subAssembly.id" value="${maintenanceActionInstance?.subAssembly?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="componentItem">Component Item:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'componentItem','errors')}">
-                                    <g:select optionKey="id" from="${ComponentItem.list()}" name="componentItem.id" value="${maintenanceActionInstance?.componentItem?.id}" noSelection="['null':'']"></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'maintenancePolicy','errors')}">
+                                    <g:select optionKey="id" from="${MaintenancePolicy.list()}" name="maintenancePolicy.id" value="${maintenanceActionInstance?.maintenancePolicy?.id}" noSelection="['null':'']"></g:select>
                                 </td>
                             </tr> 
@@ -109,8 +82,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
+                                    <label for="reasoning">Reasoning:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${maintenanceActionInstance?.isActive}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'reasoning','errors')}">
+                                    <input type="text" id="reasoning" name="reasoning" value="${fieldValue(bean:maintenanceActionInstance,field:'reasoning')}"/>
                                 </td>
                             </tr> 
@@ -118,8 +91,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="reasoning">Reasoning:</label>
+                                    <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'reasoning','errors')}">
-                                    <input type="text" id="reasoning" name="reasoning" value="${fieldValue(bean:maintenanceActionInstance,field:'reasoning')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:maintenanceActionInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${maintenanceActionInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 