Index: trunk/grails-app/views/sectionDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/sectionDetailed/create.gsp	(revision 267)
+++ trunk/grails-app/views/sectionDetailed/create.gsp	(revision 273)
@@ -5,18 +5,18 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create SystemSection</title>         
+        <title>Create Section</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SystemSection List</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">Section List</g:link></span>
         </div>
         <div class="body">
-            <h1>Create SystemSection</h1>
+            <h1>Create Section</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${systemSectionInstance}">
+            <g:hasErrors bean="${sectionInstance}">
             <div class="errors">
-                <g:renderErrors bean="${systemSectionInstance}" as="list" />
+                <g:renderErrors bean="${sectionInstance}" as="list" />
             </div>
             </g:hasErrors>
@@ -30,8 +30,8 @@
                                     <label for="name">Name:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:systemSectionInstance,field:'name')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'name','errors')}">
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:sectionInstance,field:'name')}"/>
                                 </td>
-                            </tr>
+                            </tr> 
                         
                             <tr class="prop">
@@ -39,15 +39,15 @@
                                     <label for="description">Description:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:systemSectionInstance,field:'description')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'description','errors')}">
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:sectionInstance,field:'description')}"/>
                                 </td>
-                            </tr>
+                            </tr> 
                         
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="costCode">Cost Code:</label>
+                                    <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'costCode','errors')}">
-                                    <input type="text" id="costCode" name="costCode" value="${fieldValue(bean:systemSectionInstance,field:'costCode')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${sectionInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
@@ -57,6 +57,6 @@
                                     <label for="department">Department:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'department','errors')}">
-                                    <g:select optionKey="id" from="${Department.list()}" name="department.id" value="${systemSectionInstance?.department?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'department','errors')}">
+                                    <g:select optionKey="id" from="${Department.list()}" name="department.id" value="${sectionInstance?.department?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -66,17 +66,8 @@
                                     <label for="site">Site:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'site','errors')}">
-                                    <g:select optionKey="id" from="${Site.list()}" name="site.id" value="${systemSectionInstance?.site?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:sectionInstance,field:'site','errors')}">
+                                    <g:select optionKey="id" from="${Site.list()}" name="site.id" value="${sectionInstance?.site?.id}" ></g:select>
                                 </td>
                             </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:systemSectionInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${systemSectionInstance?.isActive}" ></g:checkBox>
-                                </td>
-                            </tr>
                         
                         </tbody>