Index: trunk/grails-app/services/CreateDataService.groovy
===================================================================
--- trunk/grails-app/services/CreateDataService.groovy	(revision 314)
+++ trunk/grails-app/services/CreateDataService.groovy	(revision 321)
@@ -378,5 +378,5 @@
         def siteInstance
 
-        siteInstance = new Site(name: "Creek Mill",
+        siteInstance = new Site(name: "CSM",
                                                     description: "Creek Side Mill")
         saveAndTest(siteInstance)
@@ -403,6 +403,6 @@
 
         //Department #2
-        departmentInstance = new Department(name: "Pulp Mill 2",,
-                                                                                description: "Business department",
+        departmentInstance = new Department(name: "Pulp Mill",
+                                                                                description: "Business Department",
                                                                                 site: Site.get(2))
         saveAndTest(departmentInstance)
@@ -1114,5 +1114,5 @@
 
         //Section #2
-        sectionInstance = new Section(name: "Delignification",
+        sectionInstance = new Section(name: "CSM-Delig",
                                                                 description: "Pulp Delignification",
                                                                 site: Site.get(1),
@@ -1121,5 +1121,5 @@
 
         //Section #3
-        sectionInstance = new Section(name: "Auxiliary",
+        sectionInstance = new Section(name: "CSM-Aux",
                                                                 description: "Auxilliary Section",
                                                                 site: Site.get(1),
@@ -1153,5 +1153,5 @@
 
         //Asset #4
-        def assetInstance4 = new Asset(name: "RO 1",
+        def assetInstance4 = new Asset(name: "C579",
                                                                 description: "RO #1",
                                                                 section: Section.get(2))
@@ -1172,6 +1172,6 @@
 
         //AssetSubItem #2 Level1
-        def assetSubItemInstance2 = new AssetSubItem(name: "Reactor Tower",
-                                                                                            description: "Unique sub asset.")
+        def assetSubItemInstance2 = new AssetSubItem(name: "C579-44",
+                                                                                            description: "Tanks and towers")
         saveAndTest(assetSubItemInstance2)
 
@@ -1180,6 +1180,6 @@
 
         //AssetSubItem #3 Level1
-        def assetSubItemInstance3 = new AssetSubItem(name: "Blower Tower",
-                                                                                            description: "Unique sub asset.")
+        def assetSubItemInstance3 = new AssetSubItem(name: "C579-20",
+                                                                                            description: "Control Loops")
         saveAndTest(assetSubItemInstance3)
 
@@ -1188,4 +1188,16 @@
 
         //AssetSubItem #4 Level2
+        assetSubItemInstance = new AssetSubItem(name: "C579-TK-0022",
+                                                                                            description: "Blow Tank",
+                                                                                            parentItem: AssetSubItem.get(2))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #5 Level2
+        assetSubItemInstance = new AssetSubItem(name: "C579-TK-0023",
+                                                                                            description: "Reactor Tower",
+                                                                                            parentItem: AssetSubItem.get(2))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #6 Level2
         assetSubItemInstance = new AssetSubItem(name: "Print Unit",
                                                                                     description: "Print Unit - Common Level 2 sub item.",
@@ -1193,38 +1205,56 @@
         saveAndTest(assetSubItemInstance)
 
-        //AssetSubItem #5 Level2
-        assetSubItemInstance = new AssetSubItem(name: "Agitator",
-                                                                                    description: "Agitator - Level 2 sub item",
-                                                                                    parentItem: AssetSubItem.get(2))
+        //AssetSubItem #7 Level2
+        assetSubItemInstance = new AssetSubItem(name: "1925365",
+                                                                                    description: "Agitator",
+                                                                                    parentItem: AssetSubItem.get(4))
         saveAndTest(assetSubItemInstance)
 
-        //AssetSubItem #6 Level2
-        assetSubItemInstance = new AssetSubItem(name: "Scraper",
-                                                                                    description: "Scraper - Level 2 sub item.",
+        //AssetSubItem #8 Level2
+        assetSubItemInstance = new AssetSubItem(name: "1925366",
+                                                                                    description: "Scraper",
+                                                                                    parentItem: AssetSubItem.get(4))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #9 Level3
+        assetSubItemInstance = new AssetSubItem(name: "Motor",
+                                                                                    description: "Motor - Level 3 sub item",
+                                                                                    parentItem: AssetSubItem.get(6))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #10 Level3
+        assetSubItemInstance = new AssetSubItem(name: "Gearbox",
+                                                                                    description: "Gearbox - Level 3 sub item, gearbox",
+                                                                                    parentItem: AssetSubItem.get(6))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #11 Level4
+        assetSubItemInstance = new AssetSubItem(name: "DS Bearing",
+                                                                                    description: "Drive Side Bearing",
+                                                                                    parentItem: AssetSubItem.get(9))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #12 Level4
+        assetSubItemInstance = new AssetSubItem(name: "NDS Bearing",
+                                                                                    description: "Non Drive Side Bearing",
+                                                                                    parentItem: AssetSubItem.get(9))
+        saveAndTest(assetSubItemInstance)
+
+        //AssetSubItem #13 Level2
+        assetSubItemInstance = new AssetSubItem(name: "C579-F-0001",
+                                                                                    description: "Weak Caustic Flow",
                                                                                     parentItem: AssetSubItem.get(3))
         saveAndTest(assetSubItemInstance)
 
-        //AssetSubItem #7 Level3
-        assetSubItemInstance = new AssetSubItem(name: "Motor",
-                                                                                    description: "Motor - Level 3 sub item",
-                                                                                    parentItem: AssetSubItem.get(5))
+        //AssetSubItem #14 Level3
+        assetSubItemInstance = new AssetSubItem(name: "C579-FT-0002",
+                                                                                    description: "Weak Caustic Flow Transmitter",
+                                                                                    parentItem: AssetSubItem.get(13))
         saveAndTest(assetSubItemInstance)
 
-        //AssetSubItem #8 Level3
-        assetSubItemInstance = new AssetSubItem(name: "Gearbox",
-                                                                                    description: "Gearbox - Level 3 sub item, gearbox",
-                                                                                    parentItem: AssetSubItem.get(5))
-        saveAndTest(assetSubItemInstance)
-
-        //AssetSubItem #9 Level4
-        assetSubItemInstance = new AssetSubItem(name: "DS Bearing",
-                                                                                    description: "Drive Side Bearing",
-                                                                                    parentItem: AssetSubItem.get(7))
-        saveAndTest(assetSubItemInstance)
-
-        //AssetSubItem #10 Level4
-        assetSubItemInstance = new AssetSubItem(name: "NDS Bearing",
-                                                                                    description: "Non Drive Side Bearing",
-                                                                                parentItem: AssetSubItem.get(7))
+        //AssetSubItem #15 Level3
+        assetSubItemInstance = new AssetSubItem(name: "C579-PT-0003",
+                                                                                    description: "Weak Caustic Pressure Transmitter",
+                                                                                    parentItem: AssetSubItem.get(13))
         saveAndTest(assetSubItemInstance)
     } // createDemoAssetTree()