Index: trunk/grails-app/views/assetDetailed/search.gsp
===================================================================
--- trunk/grails-app/views/assetDetailed/search.gsp	(revision 284)
+++ trunk/grails-app/views/assetDetailed/search.gsp	(revision 326)
@@ -25,9 +25,70 @@
 
             <div class="paginateButtons">
+                Results: ${assetInstanceList.size()} / ${assetInstanceTotal}
                 <span class="searchButtons">
                     <filterpane:filterButton text="Search" appliedText="Change Search" />
                 </span>
-                Results:${assetInstanceTotal}
             </div>
+
+            <jsUtil:toggleControl toggleId="options"
+                                                    imageId="optionsImg"
+                                                    closedImgUrl="${resource(dir:'images/skin',file:'bullet_arrow_right.png')}"
+                                                    openImgUrl="${resource(dir:'images/skin',file:'bullet_arrow_down.png')}"
+                                                    text="${g.message(code: 'default.options.text')}"
+                                                    />
+
+            <div id="options" style="display:none;">
+                <g:form method="post" >
+                    <g:hiddenField name="params" value="${filterParams}" />
+                    <div class="dialog">
+                        <table>
+                            <tbody>
+
+                                <tr class="prop">
+                                    <td valign="top" class="name">
+                                        <label for="max">Results per page:</label>
+                                    </td>
+                                    <td valign="top" class="value">
+                                        <input type="text" maxlength="4" id="description" name="newMax" value="${params.max}"/>
+
+                                        <span class="buttons">
+                                            <g:actionSubmit action="setSearchParamsMax" class="go" value="Update" />
+                                        </span>
+                                    </td>
+                                </tr>
+
+                                <tr class="prop">
+                                    <td valign="top" class="name">
+                                        <label for="max">Asset Tree:</label>
+                                    </td>
+                                    <td valign="top" class="value">
+                                        <g:link action="exportAssetTree">
+                                            Export
+                                        </g:link>
+                                        /
+                                        <g:link action="exportAssetTreeTemplate">
+                                            Template
+                                        </g:link>
+                                        /
+                                        <g:link action="importAssetTree">
+                                            Import
+                                        </g:link>
+                                    </td>
+                                </tr>
+
+                            </tbody>
+                        </table>
+                    </div>
+                </g:form>
+                <export:formats  params="${filterParams}" formats="['csv', 'excel', 'pdf', 'rtf']"/>
+            </div>
+
+            <br />
+
+            <g:if test="${assetInstanceList.size() > 10}">
+                <div class="paginateButtons">
+                    <g:paginate total="${assetInstanceTotal}" params="${filterParams}" />
+                </div>
+            </g:if>
 
             <div class="list">
@@ -78,18 +139,4 @@
                 <g:paginate total="${assetInstanceTotal}" params="${filterParams}" />
             </div>
-            <export:formats  params="${filterParams}" formats="['csv', 'excel', 'pdf', 'rtf']"/>
-            <br />
-            Asset Tree:
-            <g:link action="exportAssetTree">
-                Export
-            </g:link>
-            /
-            <g:link action="exportAssetTreeTemplate">
-                Template
-            </g:link>
-            /
-            <g:link action="importAssetTree">
-                Import
-            </g:link>
 
             <filterpane:filterPane domainBean="Asset"