Index: trunk/grails-app/views/inventoryItemDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/create.gsp	(revision 223)
+++ trunk/grails-app/views/inventoryItemDetailed/create.gsp	(revision 382)
@@ -49,5 +49,10 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryLocation','errors')}">
-                                    <g:select optionKey="id" from="${InventoryLocation.list()}" name="inventoryLocation.id" value="${inventoryItemInstance?.inventoryLocation?.id}" ></g:select>
+                                    <g:select optionKey="id"
+                                                        from="${ InventoryLocation.list().sort { p1, p2 -> p1.toString().compareToIgnoreCase(p2.toString()) } }"
+                                                        name="inventoryLocation.id" value="${inventoryItemInstance?.inventoryLocation?.id}" >
+                                    </g:select>
+
+                                <p><g:link controller="inventoryLocationDetailed" action="create">add Location</g:link></p>
                                 </td>
                             </tr>
@@ -61,5 +66,9 @@
                                                     type="text" id="reorderPoint" name="reorderPoint"
                                                     value="${fieldValue(bean:inventoryItemInstance,field:'reorderPoint')}" />
-                                    <g:select optionKey="id" from="${UnitOfMeasure.list()}" name="unitOfMeasure.id" value="${inventoryItemInstance?.unitOfMeasure?.id}" ></g:select>
+                                    <g:select optionKey="id"
+                                                        from="${UnitOfMeasure.list()}"
+                                                        name="unitOfMeasure.id"
+                                                        value="${inventoryItemInstance?.unitOfMeasure?.id}" >
+                                    </g:select>
                                 </td>
                             </tr> 
@@ -80,4 +89,6 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'inventoryGroup','errors')}">
                                     <g:select optionKey="id" from="${InventoryGroup.list()}" name="inventoryGroup.id" value="${inventoryItemInstance?.inventoryGroup?.id}" ></g:select>
+
+                                <p><g:link controller="inventoryGroupDetailed" action="create">add Group</g:link></p>
                                 </td>
                             </tr> 
@@ -119,8 +130,9 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'suppliers','errors')}">
                                     <g:select id="suppliers" name="suppliers"
-                                                        from="${Supplier.list()}"
+                                                        from="${ Supplier.list().sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }"
                                                         size="5" multiple="yes" optionKey="id"
                                                         value="${inventoryItemInstance?.suppliers?.id}" noSelection="['':'--None--']"/>
 
+                                <p><g:link controller="supplierDetailed" action="create">add Supplier</g:link></p>
                                 </td>
                             </tr>
@@ -141,8 +153,9 @@
                                 <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'manufacturers','errors')}">
                                     <g:select id="manufacturers" name="manufacturers"
-                                                        from="${Manufacturer.list()}"
+                                                        from="${ Manufacturer.list().sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }"
                                                         size="5" multiple="yes" optionKey="id"
                                                         value="${inventoryItemInstance?.manufacturers?.id}" noSelection="['':'--None--']" />
 
+                                    <p><g:link controller="manufacturerDetailed" action="create">add Manufacturer</g:link></p>
                                 </td>
                             </tr>