Index: trunk/grails-app/views/inventoryItemDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/inventoryItemDetailed/edit.gsp	(revision 425)
+++ trunk/grails-app/views/inventoryItemDetailed/edit.gsp	(revision 435)
@@ -184,13 +184,22 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="suppliers">Suppliers:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'suppliers','errors')}">
-                                    <g:select id="suppliers" name="suppliers"
-                                                        from="${ Supplier.list().sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }"
-                                                        size="5" multiple="yes" optionKey="id"
-                                                        value="${inventoryItemInstance?.suppliers.id}" noSelection="['':'--None--']"/>
-
-                                <p><g:link controller="supplierDetailed" action="create">+Add Supplier</g:link></p>
+                                    <label for="preferredSupplier">Preferred Supplier:</label>
+                                </td>
+                                <td valign="top">
+                                    <g:select optionKey="id" from="${suppliers}" name="preferredSupplier.id" value="${inventoryItemInstance.preferredSupplier?.id}" noSelection="['null':'--None--']"></g:select>
+
+                                    <p><g:link controller="supplierDetailed" action="create">+Add Supplier</g:link></p>
+                                </td>
+                            </tr>
+
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="alternateSuppliers">Alternate Suppliers:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'alternateSuppliers','errors')}">
+                                    <g:select id="alternateSuppliers" name="alternateSuppliers"
+                                                        from="${suppliers}"
+                                                        size="5" multiple="yes" optionKey="id"
+                                                        value="${inventoryItemInstance.alternateSuppliers?.id}" noSelection="['':'--None--']"/>
                                 </td>
                             </tr>
@@ -207,13 +216,22 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="manufacturers">Manufacturers:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'manufacturers','errors')}">
-                                    <g:select id="manufacturers" name="manufacturers"
-                                                        from="${ Manufacturer.list().sort { p1, p2 -> p1.name.compareToIgnoreCase(p2.name) } }"
-                                                        size="5" multiple="yes" optionKey="id"
-                                                        value="${inventoryItemInstance?.manufacturers.id}" noSelection="['':'--None--']"/>
+                                    <label for="preferredManufacturer">Preferred Manufacturer:</label>
+                                </td>
+                                <td valign="top">
+                                    <g:select optionKey="id" from="${manufacturers}" name="preferredManufacturer.id" value="${inventoryItemInstance.preferredManufacturer?.id}" noSelection="['null':'--None--']"></g:select>
 
                                     <p><g:link controller="manufacturerDetailed" action="create">+Add Manufacturer</g:link></p>
+                                </td>
+                            </tr>
+
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="manufacturers">Alternate Manufacturers:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:inventoryItemInstance,field:'alternateManufacturers','errors')}">
+                                    <g:select id="alternateManufacturers" name="alternateManufacturers"
+                                                        from="${manufacturers}"
+                                                        size="5" multiple="yes" optionKey="id"
+                                                        value="${inventoryItemInstance.alternateManufacturers?.id}" noSelection="['':'--None--']" />
                                 </td>
                             </tr>