Index: trunk/grails-app/views/taskDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/show.gsp	(revision 474)
+++ trunk/grails-app/views/taskDetailed/show.gsp	(revision 498)
@@ -291,9 +291,15 @@
                                     <tbody>
                                         <g:each in="${entryFaultList}" status="i" var="entry">
-                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'/>
-
-                                                    <td style="width:65%">${entry.comment.encodeAsHTML()}</td>
-                                                    <td><g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/></td>
-                                                    <td>
+                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                                    <td style="width:65%" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.comment.encodeAsHTML()}
+                                                    </td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        <g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/>
+                                                    </td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
                                                         <g:if test="${entry.productionReference}">
                                                             ${entry.productionReference.encodeAsHTML()}
@@ -303,8 +309,14 @@
                                                         </g:else>
                                                     </td>
-                                                    <td>${entry.durationHour}:${entry.durationMinute}</td>
-                                                    <td>${entry.enteredBy.encodeAsHTML()}</td>
-
-                                                    <td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.durationHour}:${entry.durationMinute}
+                                                    </td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.enteredBy.encodeAsHTML()}
+                                                    </td>
+
+                                                    <td class="notClickable">
                                                         <g:link controller="entryDetailed" action="edit" id="${entry.id}">
                                                             <img  src="${resource(dir:'images/skin',file:'database_edit.png')}" alt="Edit" />
@@ -349,11 +361,19 @@
                                     <tbody>
                                         <g:each in="${entryCauseList}" status="i" var="entry">
-                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'/>
-
-                                                    <td style="width:65%">${entry.comment.encodeAsHTML()}</td>
-                                                    <td><g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/></td>
-                                                    <td>${entry.enteredBy.encodeAsHTML()}</td>
-
-                                                    <td>
+                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                                    <td style="width:65%" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.comment.encodeAsHTML()}
+                                                    </td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        <g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/>
+                                                    </td>
+
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.enteredBy.encodeAsHTML()}
+                                                    </td>
+
+                                                    <td class="notClickable">
                                                         <g:link controller="entryDetailed" action="edit" id="${entry.id}">
                                                             <img  src="${resource(dir:'images/skin',file:'database_edit.png')}" alt="Edit" />
@@ -399,12 +419,23 @@
                                     <tbody>
                                         <g:each in="${entryWorkDoneList}" status="i" var="entry">
-                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'/>
-
-                                                    <td width="65%">${entry.comment.encodeAsHTML()}</td>
-                                                    <td><g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/></td>
-                                                    <td>${entry.durationHour}:${entry.durationMinute}</td>
-                                                    <td>${entry.enteredBy.encodeAsHTML()}</td>
-
-                                                    <td>
+                                                <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                                    <td width="65%" onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.comment.encodeAsHTML()}
+                                                    </td>
+                                                    
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        <g:formatDate date="${entry.dateDone}" format="EEE, dd-MMM-yyyy"/>
+                                                    </td>
+                                                    
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.durationHour}:${entry.durationMinute}
+                                                    </td>
+                                                    
+                                                    <td onclick='window.location = "${request.getContextPath()}/entryDetailed/edit/${entry.id}"'>
+                                                        ${entry.enteredBy.encodeAsHTML()}
+                                                    </td>
+
+                                                    <td class="notClickable">
                                                         <g:link controller="entryDetailed" action="edit" id="${entry.id}">
                                                             <img  src="${resource(dir:'images/skin',file:'database_edit.png')}" alt="Edit" />
@@ -513,21 +544,21 @@
 
                                                 <td valign="top" class="name">
-                                                    ${maintenanceAction?.procedureStepNumber}
+                                                    ${fieldValue(bean:maintenanceAction, field:'procedureStepNumber')}
                                                 </td>
 
                                                 <td  valign="top" style="text-align:left;" class="value">
-                                                    ${maintenanceAction?.description}
+                                                    ${fieldValue(bean:maintenanceAction, field:'description')}
                                                 </td>
 
                                                 <td  valign="top" style="text-align:left;" class="value">
-                                                    ${maintenanceAction?.reasoning}
+                                                    ${fieldValue(bean:maintenanceAction, field:'reasoning')}
                                                 </td>
 
                                                 <td  valign="top" style="text-align:left;" class="value">
-                                                    ${maintenanceAction?.asset}
+                                                    ${fieldValue(bean:maintenanceAction, field:'asset')}
                                                 </td>
 
                                                 <td  valign="top" style="text-align:left;" class="value">
-                                                    ${maintenanceAction?.assetSubItem}
+                                                    ${fieldValue(bean:maintenanceAction, field:'assetSubItem')}
                                                 </td>
 
@@ -659,11 +690,23 @@
                                     <tbody>
                                         <g:each in="${inventoryMovementList}" status="i" var="inventoryMovementInstance">
-                                            <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${inventoryMovementInstance.id}"'/>
-
-                                                <td>${fieldValue(bean:inventoryMovementInstance, field:'inventoryItem')}</td>
-                                                <td>${fieldValue(bean:inventoryMovementInstance, field:'quantity')}</td>
-                                                <td>${fieldValue(bean:inventoryMovementInstance, field:'inventoryMovementType')}</td>
-                                                <td><g:formatDate date="${inventoryMovementInstance.date}" format="EEE, dd-MMM-yyyy"/></td>
-                                                <td>
+                                            <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${inventoryMovementInstance.id}"'>
+                                                    ${fieldValue(bean:inventoryMovementInstance, field:'inventoryItem')}
+                                                </td>
+
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${inventoryMovementInstance.id}"'>
+                                                    ${fieldValue(bean:inventoryMovementInstance, field:'quantity')}
+                                                </td>
+
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${inventoryMovementInstance.id}"'>
+                                                    ${fieldValue(bean:inventoryMovementInstance, field:'inventoryMovementType')}
+                                                </td>
+
+                                                <td onclick='window.location = "${request.getContextPath()}/inventoryMovementDetailed/show/${inventoryMovementInstance.id}"'>
+                                                    <g:formatDate date="${inventoryMovementInstance.date}" format="EEE, dd-MMM-yyyy"/>
+                                                </td>
+
+                                                <td class="notClickable">
                                                     <g:link controller="inventoryMovementDetailed" action="show" id="${inventoryMovementInstance.id}">
                                                         <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
@@ -720,20 +763,32 @@
                                     <tbody>
                                     <g:each in="${subTaskInstanceList}" status="i" var="subTaskInstance">
-                                    <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'/>
-
-                                            <td>${fieldValue(bean:subTaskInstance, field:'id')}</td>
-
-                                            <td><g:formatDate date="${subTaskInstance.targetStartDate}" format="EEE, dd-MMM-yyyy"/></td>
-
-                                            <td>${subTaskInstance.description}</td>
-
-
-                                            <td>${subTaskInstance.leadPerson}</td>
-
-                                            <td>${subTaskInstance.taskPriority}</td>
-
-                                            <td>${subTaskInstance.taskStatus}</td>
-
-                                            <td>
+                                        <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                ${fieldValue(bean:subTaskInstance, field:'id')}
+                                            </td>
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                <g:formatDate date="${subTaskInstance.targetStartDate}" format="EEE, dd-MMM-yyyy"/>
+                                            </td>
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                ${fieldValue(bean:subTaskInstance, field:'description')}
+                                            </td>
+
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                ${fieldValue(bean:subTaskInstance, field:'leadPerson')}
+                                            </td>
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                ${fieldValue(bean:subTaskInstance, field:'taskPriority')}
+                                            </td>
+
+                                            <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${subTaskInstance.id}"'>
+                                                ${fieldValue(bean:subTaskInstance, field:'taskStatus')}
+                                            </td>
+
+                                            <td class="notClickable">
                                                 <g:link action="show" id="${subTaskInstance.id}">
                                                     <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />